#############################################################
#                    Versions Overlay                       #
#         Created by Yozora, Bullmoose20, & Sohjiro         #
#            Credit to Magic815 for base images             #
#############################################################
#  Call this from your config.yml (Movie or Show):          #
#    overlay_path:                                          #
#      - git: PMM/overlays/versions                         #
#        template_variables:                                #
#          # Set episode or season or show to overlay       #
#          overlay_level:                                   #
#          # Set the horizontal offset for the overlay      #
#          horizontal_offset: 15                            #
#          # Set the horizontal align for the overlay       #
#          horizontal_align: right                          #
#          # Set the vertical offset for the overlay        #
#          vertical_offset: 390                             #
#          # Set the vertical align for the overlay         #
#          vertical_align: bottom                           #
#          # Set the back color for the overlay             #
#          back_color: "#00000099"                          #
#          # Set the back radius for the overlay            #
#          back_radius: 30                                  #
#          # Set the back width for the overlay             #
#          back_width: 105                                  #
#          # Set the back height for the overlay            #
#          back_height: 105                                 #
#############################################################

templates:
  Versions:
    conditionals:
      version_style:
        default: "duplicate"
        conditions:
         - overlay_level: ['show', 'season', 'episode']
           value: "episode_duplicate"
    plex_search:
      all:
        <<version_style>>: true
    optional:
      - overlay_level
    default:
      horizontal_offset: 15
      horizontal_align: left
      vertical_offset: 390
      vertical_align: bottom
      back_color: "#00000099"
      back_radius: 30
      back_width: 105
      back_height: 105
    collection_level: <<overlay_level>>
    ignore_blank_results: true
    overlay:
      name: versions
      horizontal_offset: <<horizontal_offset>>
      horizontal_align: <<horizontal_align>>
      vertical_offset: <<vertical_offset>>
      vertical_align: <<vertical_align>>
      back_color: <<back_color>>
      back_radius: <<back_radius>>
      back_width: <<back_width>>
      back_height: <<back_height>>
      git: PMM/overlays/images/raw/versions
      
overlays:
  Duplicate Versions:
    template:
      - name: Versions